Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2015-10-07 16:32:13 -0400
committerDavid Williams2015-10-07 16:32:13 -0400
commit20f5a31a15fc26f5ca413275b48a997f318e2991 (patch)
treeae0807552228df531ef025c582537a93d5442f4c /production/getEBuilderForDropDir.sh
parent69f0a808c6ceda20f3d3d5ba3fcf334fee9b6e03 (diff)
downloadeclipse.platform.releng.aggregator-20f5a31a15fc26f5ca413275b48a997f318e2991.tar.gz
eclipse.platform.releng.aggregator-20f5a31a15fc26f5ca413275b48a997f318e2991.tar.xz
eclipse.platform.releng.aggregator-20f5a31a15fc26f5ca413275b48a997f318e2991.zip
Bug 479191 - getEBuilderForDropDir.sh does not get correct branch
Diffstat (limited to 'production/getEBuilderForDropDir.sh')
-rwxr-xr-xproduction/getEBuilderForDropDir.sh48
1 files changed, 24 insertions, 24 deletions
diff --git a/production/getEBuilderForDropDir.sh b/production/getEBuilderForDropDir.sh
index 18c8cd7c..0661caa3 100755
--- a/production/getEBuilderForDropDir.sh
+++ b/production/getEBuilderForDropDir.sh
@@ -51,37 +51,37 @@ then
# note the use of "reference" ... we typically only need a little bit of
# new stuff, that the gitCache version doesn't have already, if any.
- echo "Doing git clone using: --no-hardlinks --reference \${aggDir} \${AGGREGATOR_REPO} \${BUILD_DIR}/\${EBUILDER}"
- echo "which evaluates to git clone --no-hardlinks --reference ${aggDir} ${AGGREGATOR_REPO} ${BUILD_DIR}/${EBUILDER}"
- git clone --no-hardlinks --reference ${aggDir} ${AGGREGATOR_REPO} ${BUILD_DIR}/${EBUILDER}
+ echo "Doing git clone using: --reference \${aggDir} \${AGGREGATOR_REPO} \${BUILD_DIR}/\${EBUILDER}"
+ echo "which evaluates to git clone --reference ${aggDir} ${AGGREGATOR_REPO} ${BUILD_DIR}/${EBUILDER}"
+ git clone --reference ${aggDir} ${AGGREGATOR_REPO} ${BUILD_DIR}/${EBUILDER}
RC=$?
if [[ $RC != 0 ]]
then
echo "[ERROR] Cloning EBUILDER returned non zero return code: $RC"
exit $RC
fi
-else
- echo "INFO: ebuilder directory found to exist. Not re-cloneing."
- echo "INFO: Found: ${BUILD_DIR}/${EBUILDER}"
- echo "INFO: But fetching to make sure up to date,"
- echo "INFO: before checking out specific HASH (which may make it detached)."
- pushd ${BUILD_DIR}/${EBUILDER}
- git fetch
- RC=$?
- if [[ $RC != 0 ]]
- then
- echo "[ERROR] Fetch EBUILDER returned non zero return code: $RC"
- exit $RC
- fi
- git checkout $EBUILDER_HASH
- RC=$?
- if [[ $RC != 0 ]]
- then
- echo "[ERROR] Checking out EBUILDER for $EBUILDER_HASH returned non zero return code: $RC"
- exit $RC
- fi
- popd
fi
+echo "INFO: ebuilder directory cloned or found to exist."
+echo "INFO: Location: ${BUILD_DIR}/${EBUILDER}"
+echo "INFO: fetching to make sure up to date,"
+echo "INFO: before checking out specific HASH (which will make it detached)."
+pushd ${BUILD_DIR}/${EBUILDER}
+git fetch
+RC=$?
+if [[ $RC != 0 ]]
+then
+ echo "[ERROR] Fetch EBUILDER returned non zero return code: $RC"
+ exit $RC
+fi
+git checkout $EBUILDER_HASH
+RC=$?
+if [[ $RC != 0 ]]
+then
+ echo "[ERROR] Checking out EBUILDER for $EBUILDER_HASH returned non zero return code: $RC"
+ exit $RC
+fi
+popd
+
# prepare a (small) zip, for easy retrieval of "production" files, during unit tests on Hudson.
# This basic function used to be provided by CGit, but was turned off for "snapshots" of commits,
# and was a bit overkill for those doing their own "remote" test builds (or tests).

Back to the top